﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using RimWorld;
using RimWorld.SketchGen;
using Verse;

namespace TROM
{
    class SketchResolver_HouseEdge_R7_Parking : SketchResolver
    {
        public static int x = 7, z = 7;

        protected override bool CanResolveInt(ResolveParams parms)
        {
            return true;
        }

        protected override void ResolveInt(ResolveParams parms)
        {
            int width = x;
            int height = z;
            Sketch house = new Sketch();
            bool onlyBuildableByPlayer = parms.onlyBuildableByPlayer ?? false;
            bool filterAllowsAll = parms.allowedMonumentThings == null;

            for (int i = 0; i < x; i++)
            {
                for (int j = 0; j < z; j++)
                {
                    house.AddTerrain(TerrainDefOf.Concrete, new IntVec3(i, 0, j));
                    if (j == 6)
                    {
                        house.AddThing(ThingDefOf.Fence, new IntVec3(i, 0, 6), Rot4.North, ThingDefOf.Steel);
                    }
                }
            }

            //debris
            if (Rand.Bool) house.AddThing(ThingDefOf.AncientRustedCar, new IntVec3(2, 0, 0), Rot4.West);
            if (Rand.Bool) house.AddThing(ThingDefOf.AncientRustedCar, new IntVec3(2, 0, 2), Rot4.West);
            if (Rand.Bool) house.AddThing(ThingDefOf.AncientRustedCar, new IntVec3(2, 0, 4), Rot4.West);

            parms.sketch.MergeAt(house, new IntVec3(parms.rect.Value.minX, 0, parms.rect.Value.minZ), Sketch.SpawnPosType.Unchanged);
        }
    }
}
